import { Component, JSX } from "solid-js";
import { CSSLength, SpacingOptions } from "./spacing-constants";
import { StackProps } from "./stack";
declare type FractionTypes = "auto-start" | "auto-end" | "1/4" | "1/3" | "1/2" | "2/3" | "3/4";
interface SplitBaseProps {
    gutter?: SpacingOptions;
    fraction?: FractionTypes;
}
export interface SplitProps extends StackProps, SplitBaseProps {
    switchAt?: number | CSSLength;
    as?: Component | keyof JSX.IntrinsicElements;
    ref?: (ref: HTMLElement) => void;
}
export declare const Split: Component<SplitProps>;
export {};
